com.sun.grid.jgdi.monitoring.filter

## Class ParallelEnvironmentFilter

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.filter.ParallelEnvironmentFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class ParallelEnvironmentFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelEnvironmentFilter()` Creates a new instance of ParallelEnvironmentFilter

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPE(java.lang.String peName)`
    `ParallelEnvironmentFilter` | `fill(java.lang.String list)`
    `int` | `getPECount()`
    `java.util.List` | `getPEList()`
    `static ParallelEnvironmentFilter` | `parse(java.lang.String str)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParallelEnvironmentFilter

          public ParallelEnvironmentFilter()

      Creates a new instance of ParallelEnvironmentFilter

  - ### Method Detail

    - #### parse

          public static ParallelEnvironmentFilter parse(java.lang.String str)

    - #### fill

          public ParallelEnvironmentFilter fill(java.lang.String list)

    - #### addPE

          public void addPE(java.lang.String peName)

    - #### getPEList

          public java.util.List getPEList()

    - #### getPECount

          public int getPECount()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.